Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.rdf.arp.lang
Class Iso639

    java.lang.Object
      com.hp.hpl.jena.rdf.arp.lang.Iso639

All Implemented Interfaces:
  LanguageTagCodes

    public class Iso639

extends java.lang.Object
implements LanguageTagCodes

Language codes from ISO639-1 and ISO639-2.

An encapsulation of the registry of ISO639-1 and ISO639-2 codes as found at http://lcweb.loc.gov/standards/iso639-2/englangn.html on the 24th July 2001, and dated 12th October 2000.

Author:
  jjc

Field Summary
`java.lang.String` | `bibliographicCode` The ISO639-2 three character Bibliographic Code.
`int` | `classification` The bitwise OR of all applicable values from `LanguageTagCodes`.
`java.lang.String` | `name` The name of the language in English.
`java.lang.String` | `terminologyCode` The ISO639-2 three character Terminology Code.
`java.lang.String` | `twoCharCode` The ISO639-1 two character code.

Fields inherited from interface com.hp.hpl.jena.rdf.arp.lang.LanguageTagCodes
`LT_DEFAULT, LT_EXTRA, LT_IANA, LT_IANA_DEPRECATED, LT_ILLEGAL, LT_ISO3166, LT_ISO639, LT_LOCAL_USE, LT_MULTIPLE, LT_PRIVATE_USE, LT_UNDETERMINED`

Method Summary
`static Iso639` | `find(java.lang.String lang)` Look an ISO-639 code up in the list.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### classification

    public final int classification

  The bitwise OR of all applicable values from `LanguageTagCodes`. The possibilities are:
  - `LT_ISO639`
  - `LT_ISO639|LT_MULTIPLE` i.e. `mul`
  - `LT_ISO639|LT_UNDETERMINED` i.e. `und`
  - `LT_ISO639|LT_LOCAL_USE` e.g. `qaa`

### twoCharCode

    public final java.lang.String twoCharCode

  The ISO639-1 two character code.

### terminologyCode

    public final java.lang.String terminologyCode

  The ISO639-2 three character Terminology Code.

### bibliographicCode

    public final java.lang.String bibliographicCode

  The ISO639-2 three character Bibliographic Code.

### name

    public final java.lang.String name

  The name of the language in English.

Method Detail

### find

    public static Iso639 find(java.lang.String lang)

  Look an ISO-639 code up in the list.

  Parameters:
    `lang` - The two or three character code to look up.
  Returns:
    The corresponding Iso639 object, or null if not in the list.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP